org.eclipse.wst.jsdt.chromium.debug.ui.liveedit

## Class PushChangesWizard

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.liveedit.PushChangesWizard

    public class PushChangesWizard
    extends java.lang.Object

A wizard that pushes script changes to V8 VM (LiveEdit); it also lets user choose target VM(s), review changes in script text, review which function will be patched.

### Constructor Summary

Constructors
Constructor and Description
`PushChangesWizard()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `start(java.util.List<? extends ScriptTargetMapping> filePairs, Shell shell, LiveEditResultDialog.ErrorPositionHighlighter positionHighlighter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PushChangesWizard

    public PushChangesWizard()

### Method Detail

#### start

    public static void start(java.util.List<? extends ScriptTargetMapping> filePairs,
                             Shell shell,
                             LiveEditResultDialog.ErrorPositionHighlighter positionHighlighter)